Skip to content

Query Application-Side Role Details

Permissions

The identity management API is authorized by application. Before calling the API, you need to set API permissions for different applications. For details, see API Permissions.

Permission CodeDescription
app_role_readRead permission for application-side role APIs
readRead permission for all read APIs
allRead/Write permission for all APIs

Request

Request Headers

Parameter NameNameRequiredTypeDescription
AuthorizationAuthorizationYesStringFormat: Bearer {access_token}
Content-TypeContent TypeYesStringFixed value: application/json; charset=utf-8

Request Example

None

Request Parameters

Parameter NameNameRequiredTypeDescription
app_idApplication IDYesStringTarget application ID
role_idApplication-side role IDYesStringTarget role ID

Response Example

Success Example

HTTP/1.1 200 OK

json
{
    "id": "20220420144449385-C66D-E8C1D1D79",
    "code": "admin",
    "name": "Administrator",
    "createdAt": "2022-04-20 14:44:49.385",
    "updatedAt": null
}

Error Example

HTTP/1.1 400 Bad Request

json
{
    "error_code": " APP.ROLE.0002",
    "error_msg": "The application-side role does not exist"
}

Response Parameters

Parameter NameNameTypeDescription
idRole IDString
codeRole CODEString
nameRole NameString
createdAtCreation TimeString
updatedAtUpdate TimeString

Error Codes

Status CodeError CodeChinese Error MessageEnglish Error MessageResolution
400APP.ROLE.0002应用侧角色不存在The application side role does not existPlease check whether the application-side role has been deleted
400APP.OBJECTMODEL.0006未开启应用角色模型The application role model is not openedPlease check whether the application role model is enabled
400APP.0001应用不存在App does not existPlease check whether the application has been deleted

BambooCloud IDaaS Open Platform